## asn1c 0.9.24+dfsg

=== examples/sample.source.LDAP3/Makefile ===
ASN_MODULE_SOURCES=	\
	LDAPMessage.c	\
	MessageID.c	\
	LDAPString.c	\
	LDAPOID.c	\
	LDAPDN.c	\
	RelativeLDAPDN.c	\
	AttributeDescription.c	\
	AttributeValue.c	\
	AttributeValueAssertion.c	\
	AssertionValue.c	\
	PartialAttribute.c	\
	Attribute.c	\
	MatchingRuleId.c	\
	LDAPResult.c	\
	Referral.c	\
	URI.c	\
	Controls.c	\
	Control.c	\
	BindRequest.c	\
	AuthenticationChoice.c	\
	SaslCredentials.c	\
	BindResponse.c	\
	UnbindRequest.c	\
	SearchRequest.c	\
	AttributeSelection.c	\
	Filter.c	\
	SubstringFilter.c	\
	MatchingRuleAssertion.c	\
	SearchResultEntry.c	\
	PartialAttributeList.c	\
	SearchResultReference.c	\
	SearchResultDone.c	\
	ModifyRequest.c	\
	ModifyResponse.c	\
	AddRequest.c	\
	AttributeList.c	\
	AddResponse.c	\
	DelRequest.c	\
	DelResponse.c	\
	ModifyDNRequest.c	\
	ModifyDNResponse.c	\
	CompareRequest.c	\
	CompareResponse.c	\
	AbandonRequest.c	\
	ExtendedRequest.c	\
	ExtendedResponse.c	\
	IntermediateResponse.c

ASN_MODULE_HEADERS=	\
	LDAPMessage.h	\
	MessageID.h	\
	LDAPString.h	\
	LDAPOID.h	\
	LDAPDN.h	\
	RelativeLDAPDN.h	\
	AttributeDescription.h	\
	AttributeValue.h	\
	AttributeValueAssertion.h	\
	AssertionValue.h	\
	PartialAttribute.h	\
	Attribute.h	\
	MatchingRuleId.h	\
	LDAPResult.h	\
	Referral.h	\
	URI.h	\
	Controls.h	\
	Control.h	\
	BindRequest.h	\
	AuthenticationChoice.h	\
	SaslCredentials.h	\
	BindResponse.h	\
	UnbindRequest.h	\
	SearchRequest.h	\
	AttributeSelection.h	\
	Filter.h	\
	SubstringFilter.h	\
	MatchingRuleAssertion.h	\
	SearchResultEntry.h	\
	PartialAttributeList.h	\
	SearchResultReference.h	\
	SearchResultDone.h	\
	ModifyRequest.h	\
	ModifyResponse.h	\
	AddRequest.h	\
	AttributeList.h	\
	AddResponse.h	\
	DelRequest.h	\
	DelResponse.h	\
	ModifyDNRequest.h	\
	ModifyDNResponse.h	\
	CompareRequest.h	\
	CompareResponse.h	\
	AbandonRequest.h	\
	ExtendedRequest.h	\
	ExtendedResponse.h	\
	IntermediateResponse.h

ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=ENUMERATED.h
ASN_MODULE_SOURCES+=ENUMERATED.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_HEADERS+=NULL.h
ASN_MODULE_SOURCES+=NULL.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = ldap3dump
CFLAGS += -DASN_CONVERTER_TITLE="Lightweight Directory Access Protocol V3 decoder" -DHAVE_CONFIG_H -DJUNKTEST -DPDU=LDAPMessage -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: LDAPMessage.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=LDAPMessage -fcompound-names ../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1


LDAPMessage.c: ../sample.makefile.regen ../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1
	make regen-makefile
	@touch LDAPMessage.c
	make

regen-makefile:
	TITLE="Lightweight Directory Access Protocol V3 decoder" \
	ASN1CMDOPTS="-fcompound-names" \
	ASN1MODULES="../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1" \
	ASN1PDU=LDAPMessage \
	PROGNAME=ldap3dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-LDAPMessage-1.[db]er ; then \
	for f in sample-LDAPMessage-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-LDAPMessage-1.xer ; then \
	for f in sample-LDAPMessage-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-LDAPMessage-1-nopad.per ; then \
	for f in sample-LDAPMessage-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-LDAPMessage-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -p $$pdu -iper -oder $$f > ./.tmp.1.$$$$ || exit 3; \
	./${TARGET} -b $$b -p $$pdu -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 4; \
	./${TARGET} -b $$b -p $$pdu -ixer -oper ./.tmp.2.$$$$ > ./.tmp.1.$$$$ || exit 5; \
	diff $$f ./.tmp.1.$$$$ || exit 6; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iper -onull $$f || exit 7; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iper -onull $$f || exit 8; \
	done; done; fi

distclean: clean
	rm -f $(ASN_MODULE_SOURCES)
	rm -f $(ASN_MODULE_HEADERS)
	rm -f $(ASN_CONVERTER_SOURCES) $(ASN_CONVERTER_HEADERS)
	rm -f Makefile.am.sample

=== examples/sample.source.MEGACO/Makefile ===
ASN_MODULE_SOURCES=	\
	MegacoMessage.c	\
	AuthenticationHeader.c	\
	SecurityParmIndex.c	\
	SequenceNum.c	\
	AuthData.c	\
	Message.c	\
	MId.c	\
	DomainName.c	\
	IP4Address.c	\
	IP6Address.c	\
	PathName.c	\
	Transaction.c	\
	TransactionId.c	\
	TransactionRequest.c	\
	TransactionPending.c	\
	TransactionReply.c	\
	TransactionResponseAck.c	\
	TransactionAck.c	\
	ErrorDescriptor.c	\
	ErrorCode.c	\
	ErrorText.c	\
	ContextID.c	\
	ActionRequest.c	\
	ActionReply.c	\
	ContextRequest.c	\
	ContextAttrAuditRequest.c	\
	CommandRequest.c	\
	Command.c	\
	CommandReply.c	\
	TopologyRequest.c	\
	AmmRequest.c	\
	AmmDescriptor.c	\
	AmmsReply.c	\
	SubtractRequest.c	\
	AuditRequest.c	\
	AuditReply.c	\
	AuditResult.c	\
	TerminationAudit.c	\
	AuditReturnParameter.c	\
	AuditDescriptor.c	\
	NotifyRequest.c	\
	NotifyReply.c	\
	ObservedEventsDescriptor.c	\
	ObservedEvent.c	\
	EventName.c	\
	EventParameter.c	\
	ServiceChangeRequest.c	\
	ServiceChangeReply.c	\
	ServiceChangeResult.c	\
	WildcardField.c	\
	TerminationID.c	\
	TerminationIDList.c	\
	MediaDescriptor.c	\
	StreamDescriptor.c	\
	StreamParms.c	\
	LocalControlDescriptor.c	\
	StreamMode.c	\
	PropertyParm.c	\
	Name.c	\
	PkgdName.c	\
	Relation.c	\
	LocalRemoteDescriptor.c	\
	PropertyGroup.c	\
	TerminationStateDescriptor.c	\
	EventBufferControl.c	\
	ServiceState.c	\
	MuxDescriptor.c	\
	MuxType.c	\
	StreamID.c	\
	EventsDescriptor.c	\
	RequestedEvent.c	\
	RequestedActions.c	\
	EventDM.c	\
	SecondEventsDescriptor.c	\
	SecondRequestedEvent.c	\
	SecondRequestedActions.c	\
	EventBufferDescriptor.c	\
	EventSpec.c	\
	SignalsDescriptor.c	\
	SignalRequest.c	\
	SeqSigList.c	\
	Signal.c	\
	SignalType.c	\
	SignalName.c	\
	NotifyCompletion.c	\
	SigParameter.c	\
	RequestID.c	\
	ModemDescriptor.c	\
	ModemType.c	\
	DigitMapDescriptor.c	\
	DigitMapName.c	\
	DigitMapValue.c	\
	ServiceChangeParm.c	\
	ServiceChangeAddress.c	\
	ServiceChangeResParm.c	\
	ServiceChangeMethod.c	\
	ServiceChangeProfile.c	\
	PackagesDescriptor.c	\
	PackagesItem.c	\
	StatisticsDescriptor.c	\
	StatisticsParameter.c	\
	NonStandardData.c	\
	NonStandardIdentifier.c	\
	H221NonStandard.c	\
	TimeNotation.c	\
	Value.c

ASN_MODULE_HEADERS=	\
	MegacoMessage.h	\
	AuthenticationHeader.h	\
	SecurityParmIndex.h	\
	SequenceNum.h	\
	AuthData.h	\
	Message.h	\
	MId.h	\
	DomainName.h	\
	IP4Address.h	\
	IP6Address.h	\
	PathName.h	\
	Transaction.h	\
	TransactionId.h	\
	TransactionRequest.h	\
	TransactionPending.h	\
	TransactionReply.h	\
	TransactionResponseAck.h	\
	TransactionAck.h	\
	ErrorDescriptor.h	\
	ErrorCode.h	\
	ErrorText.h	\
	ContextID.h	\
	ActionRequest.h	\
	ActionReply.h	\
	ContextRequest.h	\
	ContextAttrAuditRequest.h	\
	CommandRequest.h	\
	Command.h	\
	CommandReply.h	\
	TopologyRequest.h	\
	AmmRequest.h	\
	AmmDescriptor.h	\
	AmmsReply.h	\
	SubtractRequest.h	\
	AuditRequest.h	\
	AuditReply.h	\
	AuditResult.h	\
	TerminationAudit.h	\
	AuditReturnParameter.h	\
	AuditDescriptor.h	\
	NotifyRequest.h	\
	NotifyReply.h	\
	ObservedEventsDescriptor.h	\
	ObservedEvent.h	\
	EventName.h	\
	EventParameter.h	\
	ServiceChangeRequest.h	\
	ServiceChangeReply.h	\
	ServiceChangeResult.h	\
	WildcardField.h	\
	TerminationID.h	\
	TerminationIDList.h	\
	MediaDescriptor.h	\
	StreamDescriptor.h	\
	StreamParms.h	\
	LocalControlDescriptor.h	\
	StreamMode.h	\
	PropertyParm.h	\
	Name.h	\
	PkgdName.h	\
	Relation.h	\
	LocalRemoteDescriptor.h	\
	PropertyGroup.h	\
	TerminationStateDescriptor.h	\
	EventBufferControl.h	\
	ServiceState.h	\
	MuxDescriptor.h	\
	MuxType.h	\
	StreamID.h	\
	EventsDescriptor.h	\
	RequestedEvent.h	\
	RequestedActions.h	\
	EventDM.h	\
	SecondEventsDescriptor.h	\
	SecondRequestedEvent.h	\
	SecondRequestedActions.h	\
	EventBufferDescriptor.h	\
	EventSpec.h	\
	SignalsDescriptor.h	\
	SignalRequest.h	\
	SeqSigList.h	\
	Signal.h	\
	SignalType.h	\
	SignalName.h	\
	NotifyCompletion.h	\
	SigParameter.h	\
	RequestID.h	\
	ModemDescriptor.h	\
	ModemType.h	\
	DigitMapDescriptor.h	\
	DigitMapName.h	\
	DigitMapValue.h	\
	ServiceChangeParm.h	\
	ServiceChangeAddress.h	\
	ServiceChangeResParm.h	\
	ServiceChangeMethod.h	\
	ServiceChangeProfile.h	\
	PackagesDescriptor.h	\
	PackagesItem.h	\
	StatisticsDescriptor.h	\
	StatisticsParameter.h	\
	NonStandardData.h	\
	NonStandardIdentifier.h	\
	H221NonStandard.h	\
	TimeNotation.h	\
	Value.h

ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=ENUMERATED.h
ASN_MODULE_SOURCES+=ENUMERATED.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_HEADERS+=NULL.h
ASN_MODULE_SOURCES+=NULL.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=OBJECT_IDENTIFIER.h
ASN_MODULE_SOURCES+=OBJECT_IDENTIFIER.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = megaco-dump
CFLAGS += -DHAVE_CONFIG_H -DJUNKTEST -DPDU=MegacoMessage -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: MegacoMessage.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=MegacoMessage -fcompound-names ../rfc3525-MEDIA-GATEWAY-CONTROL.asn1


MegacoMessage.c: ../sample.makefile.regen ../rfc3525-MEDIA-GATEWAY-CONTROL.asn1
	make regen-makefile
	@touch MegacoMessage.c
	make

regen-makefile:
	ASN1CMDOPTS="-fcompound-names" \
	ASN1MODULES="../rfc3525-MEDIA-GATEWAY-CONTROL.asn1" \
	ASN1PDU=MegacoMessage \
	PROGNAME=megaco-dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-MegacoMessage-1.[db]er ; then \
	for f in sample-MegacoMessage-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-MegacoMessage-1.xer ; then \
	for f in sample-MegacoMessage-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-MegacoMessage-1-nopad.per ; then \
	for f in sample-MegacoMessage-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-MegacoMessage-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -p $$pdu -iper -oder $$f > ./.tmp.1.$$$$ || exit 3; \
	./${TARGET} -b $$b -p $$pdu -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 4; \
	./${TARGET} -b $$b -p $$pdu -ixer -oper ./.tmp.2.$$$$ > ./.tmp.1.$$$$ || exit 5; \
	diff $$f ./.tmp.1.$$$$ || exit 6; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iper -onull $$f || exit 7; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iper -onull $$f || exit 8; \
	done; done; fi

distclean: clean
	rm -f $(ASN_MODULE_SOURCES)
	rm -f $(ASN_MODULE_HEADERS)
	rm -f $(ASN_CONVERTER_SOURCES) $(ASN_CONVERTER_HEADERS)
	rm -f Makefile.am.sample

=== examples/sample.source.MHEG5/Makefile ===
ASN_MODULE_SOURCES=	\
	InterchangedObject.c	\
	RootClass.c	\
	GroupClass.c	\
	StandardIdentifier.c	\
	GroupItem.c	\
	ApplicationClass.c	\
	DefaultAttribute.c	\
	FontBody.c	\
	SceneClass.c	\
	SceneCoordinateSystem.c	\
	AspectRatio.c	\
	NextScene.c	\
	IngredientClass.c	\
	ContentBody.c	\
	ReferencedContent.c	\
	LinkClass.c	\
	LinkCondition.c	\
	EventType.c	\
	EventData.c	\
	ProgramClass.c	\
	ResidentProgramClass.c	\
	RemoteProgramClass.c	\
	InterchangedProgramClass.c	\
	PaletteClass.c	\
	FontClass.c	\
	CursorShapeClass.c	\
	VariableClass.c	\
	OriginalValue.c	\
	BooleanVariableClass.c	\
	IntegerVariableClass.c	\
	OctetStringVariableClass.c	\
	ObjectRefVariableClass.c	\
	ContentRefVariableClass.c	\
	PresentableClass.c	\
	TokenManagerClass.c	\
	Movement.c	\
	TokenGroupClass.c	\
	TokenGroupItem.c	\
	ActionSlot.c	\
	ListGroupClass.c	\
	VisibleClass.c	\
	OriginalBoxSize.c	\
	BitmapClass.c	\
	LineArtClass.c	\
	RectangleClass.c	\
	DynamicLineArtClass.c	\
	TextClass.c	\
	Justification.c	\
	LineOrientation.c	\
	StartCorner.c	\
	StreamClass.c	\
	StreamComponent.c	\
	Storage.c	\
	AudioClass.c	\
	VideoClass.c	\
	Termination.c	\
	RTGraphicsClass.c	\
	InteractibleClass.c	\
	SliderClass.c	\
	Orientation.c	\
	SliderStyle.c	\
	EntryFieldClass.c	\
	InputType.c	\
	HyperTextClass.c	\
	ButtonClass.c	\
	HotspotClass.c	\
	PushButtonClass.c	\
	SwitchButtonClass.c	\
	ButtonStyle.c	\
	ActionClass.c	\
	ElementaryAction.c	\
	Add.c	\
	AddItem.c	\
	Append.c	\
	Call.c	\
	CallActionSlot.c	\
	Clone.c	\
	CloseConnection.c	\
	DelItem.c	\
	DeselectItem.c	\
	Divide.c	\
	DrawArc.c	\
	DrawLine.c	\
	DrawOval.c	\
	DrawPolygon.c	\
	DrawPolyline.c	\
	DrawRectangle.c	\
	DrawSector.c	\
	Fork.c	\
	GetAvailabilityStatus.c	\
	GetBoxSize.c	\
	GetCellItem.c	\
	GetCursorPosition.c	\
	GetEngineSupport.c	\
	GetEntryPoint.c	\
	GetFillColour.c	\
	GetFirstItem.c	\
	GetHighlightStatus.c	\
	GetInteractionStatus.c	\
	GetItemStatus.c	\
	GetLabel.c	\
	GetLastAnchorFired.c	\
	GetLineColour.c	\
	GetLineStyle.c	\
	GetLineWidth.c	\
	GetListItem.c	\
	GetListSize.c	\
	GetOverwriteMode.c	\
	GetPortion.c	\
	GetPosition.c	\
	GetRunningStatus.c	\
	GetSelectionStatus.c	\
	GetSliderValue.c	\
	GetTextContent.c	\
	GetTextData.c	\
	GetTokenPosition.c	\
	GetVolume.c	\
	Modulo.c	\
	Move.c	\
	MoveTo.c	\
	Multiply.c	\
	OpenConnection.c	\
	PutBefore.c	\
	PutBehind.c	\
	ReadPersistent.c	\
	ScaleBitmap.c	\
	ScaleVideo.c	\
	ScrollItems.c	\
	SelectItem.c	\
	SendEvent.c	\
	SetBoxSize.c	\
	SetCachePriority.c	\
	SetCounterEndPosition.c	\
	SetCounterPosition.c	\
	SetCounterTrigger.c	\
	SetCursorPosition.c	\
	SetCursorShape.c	\
	SetData.c	\
	SetEntryPoint.c	\
	SetFillColour.c	\
	SetFirstItem.c	\
	SetFontRef.c	\
	SetHighlightStatus.c	\
	SetInteractionStatus.c	\
	SetLabel.c	\
	SetLineColour.c	\
	SetLineStyle.c	\
	SetLineWidth.c	\
	SetOverwriteMode.c	\
	SetPaletteRef.c	\
	SetPortion.c	\
	SetPosition.c	\
	SetSliderValue.c	\
	SetSpeed.c	\
	SetTimer.c	\
	NewTimer.c	\
	SetTransparency.c	\
	SetVariable.c	\
	SetVolume.c	\
	Step.c	\
	StorePersistent.c	\
	Subtract.c	\
	TestVariable.c	\
	ToggleItem.c	\
	TransitionTo.c	\
	ConnectionTagOrNull.c	\
	ComparisonValue.c	\
	EmulatedEventData.c	\
	NewColour.c	\
	NewContent.c	\
	NewFont.c	\
	NewReferencedContent.c	\
	NewContentSize.c	\
	NewVariableValue.c	\
	Parameter.c	\
	Point.c	\
	Rational.c	\
	ObjectReference.c	\
	ExternalReference.c	\
	IndirectReference.c	\
	ContentReference.c	\
	GenericObjectReference.c	\
	GenericContentReference.c	\
	GenericInteger.c	\
	GenericBoolean.c	\
	GenericOctetString.c	\
	Colour.c	\
	XYPosition.c	\
	OctetString.c

ASN_MODULE_HEADERS=	\
	InterchangedObject.h	\
	RootClass.h	\
	GroupClass.h	\
	StandardIdentifier.h	\
	GroupItem.h	\
	ApplicationClass.h	\
	DefaultAttribute.h	\
	FontBody.h	\
	SceneClass.h	\
	SceneCoordinateSystem.h	\
	AspectRatio.h	\
	NextScene.h	\
	IngredientClass.h	\
	ContentBody.h	\
	ReferencedContent.h	\
	LinkClass.h	\
	LinkCondition.h	\
	EventType.h	\
	EventData.h	\
	ProgramClass.h	\
	ResidentProgramClass.h	\
	RemoteProgramClass.h	\
	InterchangedProgramClass.h	\
	PaletteClass.h	\
	FontClass.h	\
	CursorShapeClass.h	\
	VariableClass.h	\
	OriginalValue.h	\
	BooleanVariableClass.h	\
	IntegerVariableClass.h	\
	OctetStringVariableClass.h	\
	ObjectRefVariableClass.h	\
	ContentRefVariableClass.h	\
	PresentableClass.h	\
	TokenManagerClass.h	\
	Movement.h	\
	TokenGroupClass.h	\
	TokenGroupItem.h	\
	ActionSlot.h	\
	ListGroupClass.h	\
	VisibleClass.h	\
	OriginalBoxSize.h	\
	BitmapClass.h	\
	LineArtClass.h	\
	RectangleClass.h	\
	DynamicLineArtClass.h	\
	TextClass.h	\
	Justification.h	\
	LineOrientation.h	\
	StartCorner.h	\
	StreamClass.h	\
	StreamComponent.h	\
	Storage.h	\
	AudioClass.h	\
	VideoClass.h	\
	Termination.h	\
	RTGraphicsClass.h	\
	InteractibleClass.h	\
	SliderClass.h	\
	Orientation.h	\
	SliderStyle.h	\
	EntryFieldClass.h	\
	InputType.h	\
	HyperTextClass.h	\
	ButtonClass.h	\
	HotspotClass.h	\
	PushButtonClass.h	\
	SwitchButtonClass.h	\
	ButtonStyle.h	\
	ActionClass.h	\
	ElementaryAction.h	\
	Add.h	\
	AddItem.h	\
	Append.h	\
	Call.h	\
	CallActionSlot.h	\
	Clone.h	\
	CloseConnection.h	\
	DelItem.h	\
	DeselectItem.h	\
	Divide.h	\
	DrawArc.h	\
	DrawLine.h	\
	DrawOval.h	\
	DrawPolygon.h	\
	DrawPolyline.h	\
	DrawRectangle.h	\
	DrawSector.h	\
	Fork.h	\
	GetAvailabilityStatus.h	\
	GetBoxSize.h	\
	GetCellItem.h	\
	GetCursorPosition.h	\
	GetEngineSupport.h	\
	GetEntryPoint.h	\
	GetFillColour.h	\
	GetFirstItem.h	\
	GetHighlightStatus.h	\
	GetInteractionStatus.h	\
	GetItemStatus.h	\
	GetLabel.h	\
	GetLastAnchorFired.h	\
	GetLineColour.h	\
	GetLineStyle.h	\
	GetLineWidth.h	\
	GetListItem.h	\
	GetListSize.h	\
	GetOverwriteMode.h	\
	GetPortion.h	\
	GetPosition.h	\
	GetRunningStatus.h	\
	GetSelectionStatus.h	\
	GetSliderValue.h	\
	GetTextContent.h	\
	GetTextData.h	\
	GetTokenPosition.h	\
	GetVolume.h	\
	Modulo.h	\
	Move.h	\
	MoveTo.h	\
	Multiply.h	\
	OpenConnection.h	\
	PutBefore.h	\
	PutBehind.h	\
	ReadPersistent.h	\
	ScaleBitmap.h	\
	ScaleVideo.h	\
	ScrollItems.h	\
	SelectItem.h	\
	SendEvent.h	\
	SetBoxSize.h	\
	SetCachePriority.h	\
	SetCounterEndPosition.h	\
	SetCounterPosition.h	\
	SetCounterTrigger.h	\
	SetCursorPosition.h	\
	SetCursorShape.h	\
	SetData.h	\
	SetEntryPoint.h	\
	SetFillColour.h	\
	SetFirstItem.h	\
	SetFontRef.h	\
	SetHighlightStatus.h	\
	SetInteractionStatus.h	\
	SetLabel.h	\
	SetLineColour.h	\
	SetLineStyle.h	\
	SetLineWidth.h	\
	SetOverwriteMode.h	\
	SetPaletteRef.h	\
	SetPortion.h	\
	SetPosition.h	\
	SetSliderValue.h	\
	SetSpeed.h	\
	SetTimer.h	\
	NewTimer.h	\
	SetTransparency.h	\
	SetVariable.h	\
	SetVolume.h	\
	Step.h	\
	StorePersistent.h	\
	Subtract.h	\
	TestVariable.h	\
	ToggleItem.h	\
	TransitionTo.h	\
	ConnectionTagOrNull.h	\
	ComparisonValue.h	\
	EmulatedEventData.h	\
	NewColour.h	\
	NewContent.h	\
	NewFont.h	\
	NewReferencedContent.h	\
	NewContentSize.h	\
	NewVariableValue.h	\
	Parameter.h	\
	Point.h	\
	Rational.h	\
	ObjectReference.h	\
	ExternalReference.h	\
	IndirectReference.h	\
	ContentReference.h	\
	GenericObjectReference.h	\
	GenericContentReference.h	\
	GenericInteger.h	\
	GenericBoolean.h	\
	GenericOctetString.h	\
	Colour.h	\
	XYPosition.h	\
	OctetString.h

ASN_MODULE_HEADERS+=ANY.h
ASN_MODULE_SOURCES+=ANY.c
ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=ENUMERATED.h
ASN_MODULE_SOURCES+=ENUMERATED.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_HEADERS+=NULL.h
ASN_MODULE_SOURCES+=NULL.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_HEADERS+=constr_SET.h
ASN_MODULE_SOURCES+=constr_SET.c
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = mheg5dump
CFLAGS += -DHAVE_CONFIG_H -DJUNKTEST -DPDU=InterchangedObject -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: InterchangedObject.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=InterchangedObject -fcompound-names ../ISO13522-MHEG-5.asn


InterchangedObject.c: ../sample.makefile.regen ../ISO13522-MHEG-5.asn
	make regen-makefile
	@touch InterchangedObject.c
	make

regen-makefile:
	ASN1CMDOPTS="-fcompound-names" \
	ASN1MODULES="../ISO13522-MHEG-5.asn" \
	ASN1PDU=InterchangedObject \
	PROGNAME=mheg5dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-InterchangedObject-1.[db]er ; then \
	for f in sample-InterchangedObject-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 2; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 2; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 2; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 2; \
	done; done; fi

check-xer:
	@if test -f sample-InterchangedObject-1.xer ; then \
	for f in sample-InterchangedObject-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 2; \
	diff $$f ./.tmp.2.$$$$ || exit 2; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 2; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 2; \
	done; done; fi

check-per:
	@if test -f sample-InterchangedObject-1.per ; then \
	for f in sample-InterchangedObject-[1-9].per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \

=== examples/sample.source.PKIX1/Makefile ===
ASN_MODULE_SOURCES=	\
	Attribute.c	\
	AttributeType.c	\
	AttributeValue.c	\
	AttributeTypeAndValue.c	\
	X520name.c	\
	X520CommonName.c	\
	X520LocalityName.c	\
	X520StateOrProvinceName.c	\
	X520OrganizationName.c	\
	X520OrganizationalUnitName.c	\
	X520Title.c	\
	X520dnQualifier.c	\
	X520countryName.c	\
	X520SerialNumber.c	\
	X520Pseudonym.c	\
	DomainComponent.c	\
	EmailAddress.c	\
	Name.c	\
	RDNSequence.c	\
	DistinguishedName.c	\
	RelativeDistinguishedName.c	\
	DirectoryString.c	\
	Certificate.c	\
	TBSCertificate.c	\
	Version.c	\
	CertificateSerialNumber.c	\
	Validity.c	\
	Time.c	\
	UniqueIdentifier.c	\
	SubjectPublicKeyInfo.c	\
	Extensions.c	\
	Extension.c	\
	CertificateList.c	\
	TBSCertList.c	\
	AlgorithmIdentifier.c	\
	ORAddress.c	\
	BuiltInStandardAttributes.c	\
	CountryName.c	\
	AdministrationDomainName.c	\
	NetworkAddress.c	\
	X121Address.c	\
	TerminalIdentifier.c	\
	PrivateDomainName.c	\
	OrganizationName.c	\
	NumericUserIdentifier.c	\
	PersonalName.c	\
	OrganizationalUnitNames.c	\
	OrganizationalUnitName.c	\
	BuiltInDomainDefinedAttributes.c	\
	BuiltInDomainDefinedAttribute.c	\
	ExtensionAttributes.c	\
	ExtensionAttribute.c	\
	CommonName.c	\
	TeletexCommonName.c	\
	TeletexOrganizationName.c	\
	TeletexPersonalName.c	\
	TeletexOrganizationalUnitNames.c	\
	TeletexOrganizationalUnitName.c	\
	PDSName.c	\
	PhysicalDeliveryCountryName.c	\
	PostalCode.c	\
	PhysicalDeliveryOfficeName.c	\
	PhysicalDeliveryOfficeNumber.c	\
	ExtensionORAddressComponents.c	\
	PhysicalDeliveryPersonalName.c	\
	PhysicalDeliveryOrganizationName.c	\
	ExtensionPhysicalDeliveryAddressComponents.c	\
	UnformattedPostalAddress.c	\
	StreetAddress.c	\
	PostOfficeBoxAddress.c	\
	PosteRestanteAddress.c	\
	UniquePostalName.c	\
	LocalPostalAttributes.c	\
	PDSParameter.c	\
	ExtendedNetworkAddress.c	\
	PresentationAddress.c	\
	TerminalType.c	\
	TeletexDomainDefinedAttributes.c	\
	TeletexDomainDefinedAttribute.c	\
	AuthorityKeyIdentifier.c	\
	KeyIdentifier.c	\
	SubjectKeyIdentifier.c	\
	KeyUsage.c	\
	PrivateKeyUsagePeriod.c	\
	CertificatePolicies.c	\
	PolicyInformation.c	\
	CertPolicyId.c	\
	PolicyQualifierInfo.c	\
	PolicyQualifierId.c	\
	CPSuri.c	\
	UserNotice.c	\
	NoticeReference.c	\
	DisplayText.c	\
	PolicyMappings.c	\
	SubjectAltName.c	\
	GeneralNames.c	\
	GeneralName.c	\
	AnotherName.c	\
	EDIPartyName.c	\
	IssuerAltName.c	\
	SubjectDirectoryAttributes.c	\
	BasicConstraints.c	\
	NameConstraints.c	\
	GeneralSubtrees.c	\
	GeneralSubtree.c	\
	BaseDistance.c	\
	PolicyConstraints.c	\
	SkipCerts.c	\
	CRLDistributionPoints.c	\
	DistributionPoint.c	\
	DistributionPointName.c	\
	ReasonFlags.c	\
	ExtKeyUsageSyntax.c	\
	KeyPurposeId.c	\
	InhibitAnyPolicy.c	\
	FreshestCRL.c	\
	AuthorityInfoAccessSyntax.c	\
	AccessDescription.c	\
	SubjectInfoAccessSyntax.c	\
	CRLNumber.c	\
	IssuingDistributionPoint.c	\
	BaseCRLNumber.c	\
	CRLReason.c	\
	CertificateIssuer.c	\
	HoldInstructionCode.c	\
	InvalidityDate.c

ASN_MODULE_HEADERS=	\
	Attribute.h	\
	AttributeType.h	\
	AttributeValue.h	\
	AttributeTypeAndValue.h	\
	X520name.h	\
	X520CommonName.h	\
	X520LocalityName.h	\
	X520StateOrProvinceName.h	\
	X520OrganizationName.h	\
	X520OrganizationalUnitName.h	\
	X520Title.h	\
	X520dnQualifier.h	\
	X520countryName.h	\
	X520SerialNumber.h	\
	X520Pseudonym.h	\
	DomainComponent.h	\
	EmailAddress.h	\
	Name.h	\
	RDNSequence.h	\
	DistinguishedName.h	\
	RelativeDistinguishedName.h	\
	DirectoryString.h	\
	Certificate.h	\
	TBSCertificate.h	\
	Version.h	\
	CertificateSerialNumber.h	\
	Validity.h	\
	Time.h	\
	UniqueIdentifier.h	\
	SubjectPublicKeyInfo.h	\
	Extensions.h	\
	Extension.h	\
	CertificateList.h	\
	TBSCertList.h	\
	AlgorithmIdentifier.h	\
	ORAddress.h	\
	BuiltInStandardAttributes.h	\
	CountryName.h	\
	AdministrationDomainName.h	\
	NetworkAddress.h	\
	X121Address.h	\
	TerminalIdentifier.h	\
	PrivateDomainName.h	\
	OrganizationName.h	\
	NumericUserIdentifier.h	\
	PersonalName.h	\
	OrganizationalUnitNames.h	\
	OrganizationalUnitName.h	\
	BuiltInDomainDefinedAttributes.h	\
	BuiltInDomainDefinedAttribute.h	\
	ExtensionAttributes.h	\
	ExtensionAttribute.h	\
	CommonName.h	\
	TeletexCommonName.h	\
	TeletexOrganizationName.h	\
	TeletexPersonalName.h	\
	TeletexOrganizationalUnitNames.h	\
	TeletexOrganizationalUnitName.h	\
	PDSName.h	\
	PhysicalDeliveryCountryName.h	\
	PostalCode.h	\
	PhysicalDeliveryOfficeName.h	\
	PhysicalDeliveryOfficeNumber.h	\
	ExtensionORAddressComponents.h	\
	PhysicalDeliveryPersonalName.h	\
	PhysicalDeliveryOrganizationName.h	\
	ExtensionPhysicalDeliveryAddressComponents.h	\
	UnformattedPostalAddress.h	\
	StreetAddress.h	\
	PostOfficeBoxAddress.h	\
	PosteRestanteAddress.h	\
	UniquePostalName.h	\
	LocalPostalAttributes.h	\
	PDSParameter.h	\
	ExtendedNetworkAddress.h	\
	PresentationAddress.h	\
	TerminalType.h	\
	TeletexDomainDefinedAttributes.h	\
	TeletexDomainDefinedAttribute.h	\
	AuthorityKeyIdentifier.h	\
	KeyIdentifier.h	\
	SubjectKeyIdentifier.h	\
	KeyUsage.h	\
	PrivateKeyUsagePeriod.h	\
	CertificatePolicies.h	\
	PolicyInformation.h	\
	CertPolicyId.h	\
	PolicyQualifierInfo.h	\
	PolicyQualifierId.h	\
	CPSuri.h	\
	UserNotice.h	\
	NoticeReference.h	\
	DisplayText.h	\
	PolicyMappings.h	\
	SubjectAltName.h	\
	GeneralNames.h	\
	GeneralName.h	\
	AnotherName.h	\
	EDIPartyName.h	\
	IssuerAltName.h	\
	SubjectDirectoryAttributes.h	\
	BasicConstraints.h	\
	NameConstraints.h	\
	GeneralSubtrees.h	\
	GeneralSubtree.h	\
	BaseDistance.h	\
	PolicyConstraints.h	\
	SkipCerts.h	\
	CRLDistributionPoints.h	\
	DistributionPoint.h	\
	DistributionPointName.h	\
	ReasonFlags.h	\
	ExtKeyUsageSyntax.h	\
	KeyPurposeId.h	\
	InhibitAnyPolicy.h	\
	FreshestCRL.h	\
	AuthorityInfoAccessSyntax.h	\
	AccessDescription.h	\
	SubjectInfoAccessSyntax.h	\
	CRLNumber.h	\
	IssuingDistributionPoint.h	\
	BaseCRLNumber.h	\
	CRLReason.h	\
	CertificateIssuer.h	\
	HoldInstructionCode.h	\
	InvalidityDate.h

ASN_MODULE_HEADERS+=ANY.h
ASN_MODULE_SOURCES+=ANY.c
ASN_MODULE_HEADERS+=BMPString.h
ASN_MODULE_SOURCES+=BMPString.c
ASN_MODULE_HEADERS+=UTF8String.h
ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=ENUMERATED.h
ASN_MODULE_SOURCES+=ENUMERATED.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=GeneralizedTime.h
ASN_MODULE_SOURCES+=GeneralizedTime.c
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=NumericString.h
ASN_MODULE_SOURCES+=NumericString.c
ASN_MODULE_HEADERS+=OBJECT_IDENTIFIER.h
ASN_MODULE_SOURCES+=OBJECT_IDENTIFIER.c
ASN_MODULE_HEADERS+=PrintableString.h
ASN_MODULE_SOURCES+=PrintableString.c
ASN_MODULE_HEADERS+=TeletexString.h
ASN_MODULE_SOURCES+=TeletexString.c
ASN_MODULE_HEADERS+=UTCTime.h
ASN_MODULE_SOURCES+=UTCTime.c
ASN_MODULE_SOURCES+=UTF8String.c
ASN_MODULE_HEADERS+=UniversalString.h
ASN_MODULE_SOURCES+=UniversalString.c
ASN_MODULE_HEADERS+=VisibleString.h
ASN_MODULE_SOURCES+=VisibleString.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_HEADERS+=constr_SET.h
ASN_MODULE_SOURCES+=constr_SET.c
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = x509dump
CFLAGS += -DHAVE_CONFIG_H -DJUNKTEST -DPDU=Certificate -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: Certificate.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=Certificate ../rfc3280-PKIX1Explicit88.asn1 ../rfc3280-PKIX1Implicit88.asn1


Certificate.c: ../sample.makefile.regen ../rfc3280-*.asn1
	make regen-makefile
	@touch Certificate.c
	make

regen-makefile:
	ASN1CMDOPTS="" \
	ASN1MODULES="../rfc3280-*.asn1" \
	ASN1PDU=Certificate \
	PROGNAME=x509dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-Certificate-1.[db]er ; then \
	for f in sample-Certificate-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-Certificate-1.xer ; then \
	for f in sample-Certificate-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-Certificate-1-nopad.per ; then \
	for f in sample-Certificate-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-Certificate-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \

=== examples/sample.source.RRC/Makefile ===
ASN_MODULE_SOURCES=	\
	DL-DCCH-Message.c	\
	DL-DCCH-MessageType.c	\
	UL-DCCH-Message.c	\
	UL-DCCH-MessageType.c	\
	DL-CCCH-Message.c	\
	DL-CCCH-MessageType.c	\
	UL-CCCH-Message.c	\
	UL-CCCH-MessageType.c	\
	PCCH-Message.c	\
	PCCH-MessageType.c	\
	DL-SHCCH-Message.c	\
	DL-SHCCH-MessageType.c	\
	UL-SHCCH-Message.c	\
	UL-SHCCH-MessageType.c	\
	BCCH-FACH-Message.c	\
	BCCH-FACH-MessageType.c	\
	BCCH-BCH-Message.c	\
	MCCH-Message.c	\
	MCCH-MessageType.c	\
	MSCH-Message.c	\
	MSCH-MessageType.c	\
	ActiveSetUpdate.c	\
	ActiveSetUpdate-r3-IEs.c	\
	ActiveSetUpdate-v4b0ext-IEs.c	\
	ActiveSetUpdate-v590ext-IEs.c	\
	ActiveSetUpdate-v690ext-IEs.c	\
	ActiveSetUpdate-r6-IEs.c	\
	ActiveSetUpdateComplete.c	\
	ActiveSetUpdateFailure.c	\
	AssistanceDataDelivery.c	\
	AssistanceDataDelivery-r3-IEs.c	\
	AssistanceDataDelivery-v3a0ext.c	\
	AssistanceDataDelivery-v4b0ext-IEs.c	\
	CellChangeOrderFromUTRAN.c	\
	CellChangeOrderFromUTRAN-r3-IEs.c	\
	CellChangeOrderFromUTRAN-v590ext-IEs.c	\
	CellChangeOrderFromUTRANFailure.c	\
	CellChangeOrderFromUTRANFailure-r3-IEs.c	\
	CellUpdate.c	\
	CellUpdate-v590ext.c	\
	CellUpdate-v690ext-IEs.c	\
	CellUpdate-v7xyext-IEs.c	\
	CellUpdateConfirm.c	\
	CellUpdateConfirm-r3-IEs.c	\
	CellUpdateConfirm-v3a0ext.c	\
	CellUpdateConfirm-v4b0ext-IEs.c	\
	CellUpdateConfirm-v590ext-IEs.c	\
	CellUpdateConfirm-v5d0ext-IEs.c	\
	CellUpdateConfirm-r4-IEs.c	\
	CellUpdateConfirm-r5-IEs.c	\
	CellUpdateConfirm-r6-IEs.c	\
	CellUpdateConfirm-v690ext-IEs.c	\
	CellUpdateConfirm-r7-IEs.c	\
	CellUpdateConfirm-CCCH.c	\
	CounterCheck.c	\
	CounterCheck-r3-IEs.c	\
	CounterCheckResponse.c	\
	DownlinkDirectTransfer.c	\
	DownlinkDirectTransfer-r3-IEs.c	\
	HandoverToUTRANCommand.c	\
	HandoverToUTRANCommand-r3-IEs.c	\
	HandoverToUTRANCommand-r4-IEs.c	\
	HandoverToUTRANCommand-r5-IEs.c	\
	HandoverToUTRANCommand-r6-IEs.c	\
	HandoverToUTRANCommand-r7-IEs.c	\
	HandoverToUTRANComplete.c	\
	InitialDirectTransfer.c	\
	InitialDirectTransfer-v3a0ext.c	\
	InitialDirectTransfer-v590ext.c	\
	InitialDirectTransfer-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GSM.c	\
	HandoverFromUTRANCommand-GSM-r3-IEs.c	\
	HandoverFromUTRANCommand-GSM-r6-IEs.c	\
	HandoverFromUTRANCommand-GSM-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GERANIu.c	\
	HandoverFromUTRANCommand-GERANIu-r5-IEs.c	\
	HandoverFromUTRANCommand-CDMA2000.c	\
	HandoverFromUTRANCommand-CDMA2000-r3-IEs.c	\
	HandoverFromUTRANFailure.c	\
	HandoverFromUtranFailure-v590ext-IEs.c	\
	InterRATHandoverInfo.c	\
	InterRATHandoverInfo-v390ext-IEs.c	\
	InterRATHandoverInfo-v3a0ext-IEs.c	\
	InterRATHandoverInfo-v3d0ext-IEs.c	\
	InterRATHandoverInfo-v3g0ext-IEs.c	\
	InterRATHandoverInfo-r3-add-ext-IEs.c	\
	InterRATHandoverInfo-v4b0ext-IEs.c	\
	InterRATHandoverInfo-v4d0ext-IEs.c	\
	InterRATHandoverInfo-v590ext-IEs.c	\
	InterRATHandoverInfo-v690ext1-IEs.c	\
	InterRATHandoverInfo-v690ext-IEs.c	\
	InterRATHandoverInfo-v7xyext-IEs.c	\
	MeasurementControl.c	\
	MeasurementControl-r3-IEs.c	\
	MeasurementControl-v390ext.c	\
	MeasurementControl-v3a0ext.c	\
	MeasurementControl-r4-IEs.c	\
	MeasurementControl-v590ext-IEs.c	\
	MeasurementControl-v5b0ext-IEs.c	\
	MeasurementControl-r6-IEs.c	\
	MeasurementControl-v6a0ext-IEs.c	\
	MeasurementControl-v7xyext-IEs.c	\
	MeasurementControlFailure.c	\
	MeasurementControlFailure-v590ext-IEs.c	\
	MeasurementReport.c	\
	MeasurementReport-v390ext.c	\
	MeasurementReport-v4b0ext-IEs.c	\
	MeasurementReport-v590ext-IEs.c	\
	MeasurementReport-v5b0ext-IEs.c	\
	MeasurementReport-v690ext-IEs.c	\
	MeasurementReport-v7xyext-IEs.c	\
	PagingType1.c	\
	PagingType1-v590ext-IEs.c	\
	PagingType2.c	\
	PhysicalChannelReconfiguration.c	\
	PhysicalChannelReconfiguration-r3-IEs.c	\
	PhysicalChannelReconfiguration-v3a0ext.c	\
	PhysicalChannelReconfiguration-v4b0ext-IEs.c	\
	PhysicalChannelReconfiguration-v590ext-IEs.c	\
	PhysicalChannelReconfiguration-r4-IEs.c	\
	PhysicalChannelReconfiguration-r5-IEs.c	\
	PhysicalChannelReconfiguration-r6-IEs.c	\
	PhysicalChannelReconfiguration-v690ext-IEs.c	\
	PhysicalChannelReconfiguration-r7-IEs.c	\
	PhysicalChannelReconfigurationComplete.c	\
	PhysicalChannelReconfigurationComplete-v7xyext-IEs.c	\
	PhysicalChannelReconfigurationFailure.c	\
	PhysicalSharedChannelAllocation.c	\
	PhysicalSharedChannelAllocation-r3-IEs.c	\
	PhysicalSharedChannelAllocation-r4-IEs.c	\
	PhysicalSharedChannelAllocation-v690ext-IEs.c	\
	PhysicalSharedChannelAllocation-v7xyext-IEs.c	\
	PUSCHCapacityRequest.c	\
	PUSCHCapacityRequest-v590ext.c	\
	RadioBearerReconfiguration.c	\
	RadioBearerReconfiguration-r3-IEs.c	\
	RadioBearerReconfiguration-v3a0ext.c	\
	RadioBearerReconfiguration-v4b0ext-IEs.c	\
	RadioBearerReconfiguration-v590ext-IEs.c	\
	RadioBearerReconfiguration-v5d0ext-IEs.c	\
	RadioBearerReconfiguration-r4-IEs.c	\
	RadioBearerReconfiguration-r5-IEs.c	\
	RadioBearerReconfiguration-r6-IEs.c	\
	RadioBearerReconfiguration-v690ext-IEs.c	\
	RadioBearerReconfiguration-r7-IEs.c	\
	RadioBearerReconfigurationComplete.c	\
	RadioBearerReconfigurationComplete-v7xyext-IEs.c	\
	RadioBearerReconfigurationFailure.c	\
	RadioBearerRelease.c	\
	RadioBearerRelease-r3-IEs.c	\
	RadioBearerRelease-v3a0ext.c	\
	RadioBearerRelease-v4b0ext-IEs.c	\
	RadioBearerRelease-v590ext-IEs.c	\
	RadioBearerRelease-r4-IEs.c	\
	RadioBearerRelease-r5-IEs.c	\
	RadioBearerRelease-v690ext-IEs.c	\
	RadioBearerRelease-r6-IEs.c	\
	RadioBearerRelease-r7-IEs.c	\
	RadioBearerReleaseComplete.c	\
	RadioBearerReleaseComplete-v7xyext-IEs.c	\
	RadioBearerReleaseFailure.c	\
	RadioBearerSetup.c	\
	RadioBearerSetup-r3-IEs.c	\
	RadioBearerSetup-v3a0ext.c	\
	RadioBearerSetup-v4b0ext-IEs.c	\
	RadioBearerSetup-v590ext-IEs.c	\
	RadioBearerSetup-v5d0ext-IEs.c	\
	RadioBearerSetup-r4-IEs.c	\
	RadioBearerSetup-r5-IEs.c	\
	RadioBearerSetup-v690ext-IEs.c	\
	RadioBearerSetup-r6-IEs.c	\
	RadioBearerSetup-r7-IEs.c	\
	RadioBearerSetupComplete.c	\
	RadioBearerSetupComplete-v7xyext-IEs.c	\
	RadioBearerSetupFailure.c	\
	RRCConnectionReject.c	\
	RRCConnectionReject-r3-IEs.c	\
	RRCConnectionReject-v690ext-IEs.c	\
	RRCConnectionRelease.c	\
	RRCConnectionRelease-r3-IEs.c	\
	RRCConnectionRelease-r4-IEs.c	\
	RRCConnectionRelease-v690ext-IEs.c	\
	RRCConnectionRelease-CCCH.c	\
	RRCConnectionRelease-CCCH-r3-IEs.c	\
	RRCConnectionRelease-CCCH-r4-IEs.c	\
	RRCConnectionRelease-CCCH-r5-IEs.c	\
	RRCConnectionRelease-CCCH-v690ext-IEs.c	\
	RRCConnectionReleaseComplete.c	\
	RRCConnectionRequest.c	\
	RRCConnectionRequest-v3d0ext-IEs.c	\
	RRCConnectionRequest-v4b0ext-IEs.c	\
	RRCConnectionRequest-v590ext-IEs.c	\
	RRCConnectionRequest-v690ext-IEs.c	\
	RRCConnectionSetup.c	\
	RRCConnectionSetup-r3-IEs.c	\
	RRCConnectionSetup-v4b0ext-IEs.c	\
	RRCConnectionSetup-v590ext-IEs.c	\
	RRCConnectionSetup-r4-IEs.c	\
	RRCConnectionSetup-r5-IEs.c	\
	RRCConnectionSetup-v690ext-IEs.c	\
	RRCConnectionSetup-r6-IEs.c	\
	RRCConnectionSetup-r7-IEs.c	\
	RRCConnectionSetup-v7xyext-IEs.c	\
	RRCConnectionSetupComplete.c	\
	RRCConnectionSetupComplete-v370ext.c	\
	RRCConnectionSetupComplete-v380ext-IEs.c	\
	RRCConnectionSetupComplete-v3a0ext-IEs.c	\
	RRCConnectionSetupComplete-v3g0ext-IEs.c	\
	RRCConnectionSetupComplete-r3-add-ext-IEs.c	\
	RRCConnectionSetupComplete-v4b0ext-IEs.c	\
	RRCConnectionSetupComplete-v590ext-IEs.c	\
	RRCConnectionSetupComplete-v5c0ext-IEs.c	\
	RRCConnectionSetupComplete-v650ext-IEs.c	\
	RRCConnectionSetupComplete-v680ext-IEs.c	\
	RRCConnectionSetupComplete-v690ext-IEs.c	\
	RRCConnectionSetupComplete-v7xyext-IEs.c	\
	RRC-FailureInfo.c	\
	RRC-FailureInfo-r3-IEs.c	\
	RRCStatus.c	\
	SecurityModeCommand.c	\
	SecurityModeCommand-r3-IEs.c	\
	SecurityModeComplete.c	\
	SecurityModeFailure.c	\
	SignallingConnectionRelease.c	\
	SignallingConnectionRelease-r3-IEs.c	\
	SignallingConnectionReleaseIndication.c	\
	SystemInformation-BCH.c	\
	SystemInformation-FACH.c	\
	FirstSegment.c	\
	FirstSegmentShort.c	\
	SubsequentSegment.c	\
	LastSegment.c	\
	LastSegmentShort.c	\
	CompleteSIB-List.c	\
	CompleteSIB.c	\
	CompleteSIBshort.c	\
	SystemInformationChangeIndication.c	\
	TransportChannelReconfiguration.c	\
	TransportChannelReconfiguration-r3-IEs.c	\
	TransportChannelReconfiguration-v3a0ext.c	\
	TransportChannelReconfiguration-v4b0ext-IEs.c	\
	TransportChannelReconfiguration-v590ext-IEs.c	\
	TransportChannelReconfiguration-r4-IEs.c	\
	TransportChannelReconfiguration-r5-IEs.c	\
	TransportChannelReconfiguration-v690ext-IEs.c	\
	TransportChannelReconfiguration-r6-IEs.c	\
	TransportChannelReconfiguration-r7-IEs.c	\
	TransportChannelReconfigurationComplete.c	\
	TransportChannelReconfigurationComplete-v7xyext-IEs.c	\
	TransportChannelReconfigurationFailure.c	\
	TransportFormatCombinationControl.c	\
	TransportFormatCombinationControlFailure.c	\
	UECapabilityEnquiry.c	\
	UECapabilityEnquiry-r3-IEs.c	\
	UECapabilityEnquiry-v4b0ext-IEs.c	\
	UECapabilityEnquiry-v590ext-IEs.c	\
	UECapabilityEnquiry-v7xyext-IEs.c	\
	UECapabilityInformation.c	\
	UECapabilityInformation-v370ext.c	\
	UECapabilityInformation-v380ext-IEs.c	\
	UECapabilityInformation-v3a0ext-IEs.c	\
	UECapabilityInformation-r3-add-ext-IEs.c	\
	UECapabilityInformation-v4b0ext.c	\
	UECapabilityInformation-v590ext.c	\
	UECapabilityInformation-v5c0ext.c	\
	UECapabilityInformation-v650ext-IEs.c	\
	UECapabilityInformation-v680ext-IEs.c	\
	UECapabilityInformation-v690ext-IEs.c	\
	UECapabilityInformation-v7xyext-IEs.c	\
	UECapabilityInformationConfirm.c	\
	UECapabilityInformationConfirm-r3-IEs.c	\
	UplinkDirectTransfer.c	\
	UplinkDirectTransfer-v690ext-IEs.c	\
	UplinkPhysicalChannelControl.c	\
	UplinkPhysicalChannelControl-r3-IEs.c	\
	UplinkPhysicalChannelControl-v4b0ext-IEs.c	\
	UplinkPhysicalChannelControl-r4-IEs.c	\
	UplinkPhysicalChannelControl-r5-IEs.c	\
	UplinkPhysicalChannelControl-v690ext-IEs.c	\
	UplinkPhysicalChannelControl-v6a0ext-IEs.c	\
	UplinkPhysicalChannelControl-r7-IEs.c	\
	URAUpdate.c	\
	URAUpdateConfirm.c	\
	URAUpdateConfirm-r3-IEs.c	\
	URAUpdateConfirm-r5-IEs.c	\
	URAUpdateConfirm-v690ext-IEs.c	\
	URAUpdateConfirm-CCCH.c	\
	URAUpdateConfirm-CCCH-r3-IEs.c	\
	UTRANMobilityInformation.c	\
	UTRANMobilityInformation-r3-IEs.c	\
	UTRANMobilityInformation-v3a0ext-IEs.c	\
	UTRANMobilityInformation-r5-IEs.c	\
	UtranMobilityInformation-v690ext-IEs.c	\
	UTRANMobilityInformationConfirm.c	\
	UTRANMobilityInformationFailure.c	\
	MBMSAccessInformation.c	\
	MBMSCommonPTMRBInformation.c	\
	MBMSCurrentCellPTMRBInformation.c	\
	MBMSGeneralInformation.c	\
	MBMSGeneralInformation-v7xyext-IEs.c	\
	MBMSModificationRequest.c	\
	MBMSModifiedServicesInformation.c	\
	MBMSNeighbouringCellPTMRBInformation.c	\
	MBMSSchedulingInformation.c	\
	MBMSUnmodifiedServicesInformation.c	\
	Ansi-41-IDNNS.c	\
	CN-DomainIdentity.c	\
	CN-DomainInformation.c	\
	CN-DomainInformationFull.c	\
	CN-DomainInformationList.c	\
	CN-DomainInformationListFull.c	\
	CN-DomainSysInfo.c	\
	CN-DomainSysInfoList.c	\
	CN-InformationInfo.c	\
	CN-InformationInfo-r6.c	\
	CN-InformationInfoFull.c	\
	Digit.c	\
	Gsm-map-IDNNS.c	\
	IMEI.c	\
	IMEI-Digit.c	\
	IMSI-GSM-MAP.c	\
	IntraDomainNasNodeSelector.c	\
	LAI.c	\
	MCC.c	\
	MNC.c	\
	MultiplePLMN-List-r6.c	\
	NAS-Message.c	\
	NAS-Synchronisation-Indicator.c	\
	NAS-SystemInformationGSM-MAP.c	\
	P-TMSI-GSM-MAP.c	\
	PagingRecordTypeID.c	\
	PLMN-Identity.c	\
	PLMN-IdentityWithOptionalMCC-r6.c	\
	PLMN-Type.c	\
	RAB-Identity.c	\
	RAI.c	\
	RoutingAreaCode.c	\
	RoutingParameter.c	\
	TMSI-GSM-MAP.c	\
	AccessClassBarred.c	\
	AccessClassBarredList.c	\
	AllowedIndicator.c	\
	CellAccessRestriction.c	\
	CellBarred.c	\
	CellIdentity.c	\
	CellIdentity-PerRL-List.c	\
	CellSelectReselectInfoSIB-3-4.c	\
	DomainSpecificAccessRestrictionForSharedNetwork-v670ext.c	\
	DomainSpecificAccessRestrictionList-v670ext.c	\
	DomainSpecificAccessRestrictionParam-v670ext.c	\
	DomainSpecificAccessRestriction-v670ext.c	\
	MapParameter.c	\
	Mapping.c	\
	Mapping-LCR-r4.c	\
	MappingFunctionParameter.c	\
	MappingFunctionParameterList.c	\
	MappingFunctionType.c	\
	MappingInfo.c	\
	Q-Hyst-S.c	\
	Q-Hyst-S-Fine.c	\
	RAT.c	\
	RAT-FDD-Info.c	\
	RAT-FDD-InfoList.c	\
	RAT-Identifier.c	\
	RAT-TDD-Info.c	\
	RAT-TDD-InfoList.c	\
	ReservedIndicator.c	\
	S-SearchQual.c	\

=== debian/changelog ===
asn1c (0.9.24+dfsg-1) unstable; urgency=low

  * New upstream release
  * Changed DFSG naming to '+dfsg' instead of '.dfsg'
  * Build asn1c-usage PDF from sources and use 
    standard packaged fonts (patch 10_fixdocfont)
  * Fix warnings for automake (patch 09_automakewarns)
  * Drop patches 01_hardening, 02_asnctfail as they are fixed in upstream

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 07 Oct 2013 18:00:00 +0400

asn1c (0.9.21.dfsg1-4) unstable; urgency=low

  * Fix FTBFS with automake 1.12 or later. (Closes: #712548)
  * Updated policy version to 3.9.4

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 17 Jun 2013 14:27:06 +0400

=== debian/control ===
Source: asn1c
Section: devel
Priority: extra
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, automake, libtool, m4, flex, texlive, texlive-xetex, lmodern
Standards-Version: 3.9.4
Homepage: http://asn1c.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/asn1c/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/asn1c/trunk

Package: asn1c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ASN.1 compiler for C
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Grab the version before dfsg
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
										 | sed -rne 's,^Version: ([^-]+)([.+]dfsg[^-]*)-.*,\1,p')
DEB_DFSG_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
										 | sed -rne 's,^Version: ([^-]+)([.+]dfsg[^-]*)-.*,\2,p')

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	rm debian/asn1c/usr/bin/*.pl
	rm debian/asn1c/usr/share/doc/asn1c/COPYING
	rm debian/asn1c/usr/share/doc/asn1c/ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf asn1c/tests/test-check-*
	-rm -f doc/docsrc/*.pdf
	-rm -f doc/docsrc/asn1c-usage.xdv

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc/docsrc regen

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
	[ ! -d asn1c-$(DEB_UPSTREAM_VERSION)$(DEB_DFSG_VERSION) ] || \
		(echo "Directory with unpacked target tarball already exists" ; exit 1)
	rm -rf asn1c-$(DEB_UPSTREAM_VERSION)
	tar -xf $(DEB_DEBIAN_DIR)/../asn1c_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm $(DEB_DEBIAN_DIR)/../asn1c_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	# remove IETF non-free RFC files
	rm asn1c-$(DEB_UPSTREAM_VERSION)/examples/rfc3280.txt
	rm asn1c-$(DEB_UPSTREAM_VERSION)/examples/rfc3525.txt
	rm asn1c-$(DEB_UPSTREAM_VERSION)/examples/rfc4511.txt
	# remove pdf documentation without sources
	rm asn1c-$(DEB_UPSTREAM_VERSION)/doc/asn1c-quick.pdf
	rm asn1c-$(DEB_UPSTREAM_VERSION)/doc/asn1c-usage.pdf
	# repack sources with dfsg prefix
	mv asn1c-$(DEB_UPSTREAM_VERSION) asn1c-$(DEB_UPSTREAM_VERSION)$(DEB_DFSG_VERSION)
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			 -f asn1c_$(DEB_UPSTREAM_VERSION)$(DEB_DFSG_VERSION).orig.tar.gz \
			 asn1c-$(DEB_UPSTREAM_VERSION)$(DEB_DFSG_VERSION)
	rm -r asn1c-$(DEB_UPSTREAM_VERSION)$(DEB_DFSG_VERSION)

=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/[\+\.]dfsg\d*// \
http://sf.net/asn1c/asn1c-(.+)\.tar\.gz debian uupdate
